# encoding: utf-8

u'''Rainbow Lotus Policy — testing layer.'''

from plone.app.testing import PloneSandboxLayer, applyProfile, PLONE_FIXTURE, IntegrationTesting, FunctionalTesting
from zope.configuration import xmlconfig
# from plone.testing import z2

class RainbowLotusPolicy(PloneSandboxLayer):
    defaultBases = (PLONE_FIXTURE,)
    def setUpZope(self, app, configurationContext):
        import rainbowlotus.policy
        xmlconfig.file('configure.zcml', rainbowlotus.policy, context=configurationContext)
        # z2.installProduct(app, 'Products.Scrawl')
    def tearDownZope(self, app):
        # z2.uninstallProduct(app, 'Products.Scrawl')
        pass
    def setUpPloneSite(self, portal):
        applyProfile(portal, 'rainbowlotus.policy:default')

RAINBOWLOTUS_POLICY_FIXTURE = RainbowLotusPolicy()
RAINBOWLOTUS_POLICY_INTEGRATION_TESTING = IntegrationTesting(
    bases=(RAINBOWLOTUS_POLICY_FIXTURE,),
    name="RainbowLotus:Integration"
)
RAINBOWLOTUS_POLICY_FUNCTIONAL_TESTING = FunctionalTesting(
    bases=(RAINBOWLOTUS_POLICY_FIXTURE,),
    name='RainbowLotus:Functional'
)
